From c3b6e8af01f027450860084aa5b59e53f0fdb677 Mon Sep 17 00:00:00 2001
From: Peter Smith <peter.b.smith@fujitsu.com>
Date: Tue, 18 Jun 2024 16:34:41 +1000
Subject: [PATCH v1] generated columns are skipped for logical replication

---
 doc/src/sgml/ddl.sgml | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/doc/src/sgml/ddl.sgml b/doc/src/sgml/ddl.sgml
index 6aab79e..3e777d9 100644
--- a/doc/src/sgml/ddl.sgml
+++ b/doc/src/sgml/ddl.sgml
@@ -512,6 +512,12 @@ CREATE TABLE people (
       generated columns in <literal>BEFORE</literal> triggers.
      </para>
     </listitem>
+    <listitem>
+     <para>
+      Generated columns are skipped for logical replication, and cannot be
+      specified in a <command>CREATE PUBLICATION</command> column-list.
+     </para>
+    </listitem>
    </itemizedlist>
   </para>
  </sect1>
-- 
1.8.3.1

